services:
  ems-gateway:
    image: ruoyi-gateway:1.0
    container_name: ems-gateway
    ports:
      - "9100:9100/tcp"
    restart: always
    networks:
      - ems_default
    deploy:
      resources:
        limits:
          memory: 1024M
    environment:
      - NACOS_SERVER=192.168.20.210:8848
      - NACOS_NAMESPACE=2c519718-1e09-4de4-9af5-d07f837372d6
      - TZ=Asia/Shanghai

  ems-auth:
    image: ruoyi-auth:1.0
    container_name: ems-auth
    ports:
      - "9200:9200/tcp"
    restart: always
    networks:
      - ems_default
    deploy:
      resources:
        limits:
          memory: 1024M
    environment:
      - NACOS_SERVER=192.168.20.210:8848
      - NACOS_NAMESPACE=2c519718-1e09-4de4-9af5-d07f837372d6
      - TZ=Asia/Shanghai
    depends_on:
      - ems-gateway

  ems-system:
    image: ruoyi-system:1.0
    container_name: ems-system
    ports:
      - "9201:9201/tcp"
    restart: always
    networks:
      - ems_default
    deploy:
      resources:
        limits:
          memory: 1024M
    environment:
      - NACOS_SERVER=192.168.20.210:8848
      - NACOS_NAMESPACE=2c519718-1e09-4de4-9af5-d07f837372d6
      - TZ=Asia/Shanghai
    depends_on:
      - ems-gateway

  ems-server:
    image: ems-server:1.0
    container_name: ems-server
    ports:
      - "9202:9202/tcp"
    restart: always
    networks:
      - ems_default
    deploy:
      resources:
        limits:
          memory: 1024M
    environment:
      - NACOS_SERVER=192.168.20.210:8848
      - NACOS_NAMESPACE=2c519718-1e09-4de4-9af5-d07f837372d6
      - TZ=Asia/Shanghai
    depends_on:
      - ems-gateway

  ems-dev-adapter:
    image: ems-dev-adapter:1.0
    container_name: ems-dev-adapter
    ports:
      - "9203:9203/tcp"
    restart: always
    networks:
      - ems_default
    deploy:
      resources:
        limits:
          memory: 1024M
    environment:
      - NACOS_SERVER=192.168.20.210:8848
      - NACOS_NAMESPACE=2c519718-1e09-4de4-9af5-d07f837372d6
      - TZ=Asia/Shanghai
    depends_on:
      - ems-server

  ems-ui:
    image: ems-ui:1.0
    container_name: ems-ui
    ports:
      - "8050:8050/tcp"
    restart: always
    networks:
      - ems_default
    environment:
      - TZ=Asia/Shanghai
    depends_on:
      - ems-server

networks:
  ems_default:
    external: true